Customer channel delivery logs
List delivery logs
List recent delivery logs for a channel or sandbox session, newest first.
Use scope=channel:<ch_id> for connected channels or
scope=sandbox-session:<ssn_id> for sandbox sessions.
GET
/
deliveries
List delivery logs
curl --request GET \
--url https://api.hookmyapp.com/deliveries \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace-Id: <x-workspace-id>'import requests
url = "https://api.hookmyapp.com/deliveries"
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.hookmyapp.com/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logs": [
{
"publicId": "wd_9X2kQm4T",
"receivedAt": "2026-07-06T12:00:00.000Z",
"sender": "14155552671",
"messageId": "wamid.HBgMOTcyNTQ1NDM0Mzg0FQIAEhgg",
"meta": {
"object": "whatsapp_business_account",
"entry": [
{
"id": "123456789",
"changes": []
}
]
},
"hookmyapp": {
"status": "delivered",
"statusText": "Delivered to your app",
"destination": {
"type": "webhook",
"url": "https://example.com/webhooks/meta"
},
"appResponse": {
"status": 200,
"durationMs": 123,
"body": {
"ok": true
}
}
}
}
],
"nextCursor": null
}{
"statusCode": 403,
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"statusCode": 403,
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"statusCode": 403,
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}Authorizations
Authorization: Bearer hmok_... API key or a dashboard session token
Headers
Workspace ID for the request
Pattern:
^ws_[A-Za-z0-9]{8}$Query Parameters
channel:<ch_id> or sandbox-session:<ssn_id>
Pattern:
^(channel:ch_[A-Za-z0-9]{8}|sandbox-session:ssn_[A-Za-z0-9]{8})$Opaque cursor from nextCursor.
Required range:
1 <= x <= 100⌘I
List delivery logs
